[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.LoadFromStream

Load the contents of a stream as a series of strings.

## Declaration

Source position: classesh.inc line 674

`public procedure TStrings.LoadFromStream(`
`Stream: TStream`
`); virtual;`

## Description

LoadFromStream loads the contents of Stream into the stringlist. Each line in the stream (as marked by the end-of-line marker of the particular OS the application runs on) becomes one string in the stringlist. This action replaces the contents of the stringlist, it does not append the strings to the current content.

## See also

TStrings.LoadFromFile |  | Load the contents of a file as a series of strings.
TStrings.SaveToFile |  | Save the contents of the list to a file.
Tstrings.SaveToStream |  | Save the contents of the string to a stream.

Documentation generated on: Feb 26 2014